package arm.node;

@:keep class L1_Player extends armory.logicnode.LogicTree {

	public function new() { super(); notifyOnAdd(add); }

	override public function add() {
		var _SetRotation_001 = new armory.logicnode.SetRotationNode(this);
		var _Gate_002 = new armory.logicnode.GateNode(this);
		_Gate_002.property0 = "Or";
		_Gate_002.property1 = 9.999999747378752e-05;
		var _OnUpdate_002 = new armory.logicnode.OnUpdateNode(this);
		_OnUpdate_002.addOutputs([_Gate_002]);
		_Gate_002.addInput(_OnUpdate_002, 0);
		var _KeyboardState_005 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_005.property0 = "Down";
		_KeyboardState_005.property1 = "s";
		_KeyboardState_005.addOutputs([_Gate_002]);
		_Gate_002.addInput(_KeyboardState_005, 0);
		var _KeyboardState_006 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_006.property0 = "Down";
		_KeyboardState_006.property1 = "down";
		_KeyboardState_006.addOutputs([_Gate_002]);
		_Gate_002.addInput(_KeyboardState_006, 0);
		_Gate_002.addOutputs([_SetRotation_001]);
		_Gate_002.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_001.addInput(_Gate_002, 0);
		_SetRotation_001.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		var _VectorMath_001 = new armory.logicnode.VectorMathNode(this);
		_VectorMath_001.property0 = "Multiply";
		var _GetRotation_001 = new armory.logicnode.GetRotationNode(this);
		_GetRotation_001.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_GetRotation_001.addOutputs([_VectorMath_001]);
		_VectorMath_001.addInput(_GetRotation_001, 0);
		_VectorMath_001.addInput(new armory.logicnode.VectorNode(this, 0.800000011920929, 0.800000011920929, 0.800000011920929), 0);
		_VectorMath_001.addOutputs([_SetRotation_001]);
		_VectorMath_001.addOutputs([new armory.logicnode.FloatNode(this, 0.0)]);
		_SetRotation_001.addInput(_VectorMath_001, 0);
		_SetRotation_001.addOutputs([new armory.logicnode.NullNode(this)]);
		var _TranslateObject_006 = new armory.logicnode.TranslateObjectNode(this);
		var _Gate_001 = new armory.logicnode.GateNode(this);
		_Gate_001.property0 = "Or";
		_Gate_001.property1 = 9.999999747378752e-05;
		var _OnUpdate_001 = new armory.logicnode.OnUpdateNode(this);
		_OnUpdate_001.addOutputs([_Gate_001]);
		_Gate_001.addInput(_OnUpdate_001, 0);
		var _KeyboardState_002 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_002.property0 = "Down";
		_KeyboardState_002.property1 = "space";
		_KeyboardState_002.addOutputs([_Gate_001]);
		_Gate_001.addInput(_KeyboardState_002, 0);
		var _KeyboardState_003 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_003.property0 = "Down";
		_KeyboardState_003.property1 = "w";
		_KeyboardState_003.addOutputs([_Gate_001]);
		_Gate_001.addInput(_KeyboardState_003, 0);
		var _KeyboardState_004 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_004.property0 = "Down";
		_KeyboardState_004.property1 = "up";
		_KeyboardState_004.addOutputs([_Gate_001]);
		_Gate_001.addInput(_KeyboardState_004, 0);
		_Gate_001.addOutputs([_TranslateObject_006]);
		_Gate_001.addOutputs([new armory.logicnode.NullNode(this)]);
		_TranslateObject_006.addInput(_Gate_001, 0);
		_TranslateObject_006.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_TranslateObject_006.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.10000000149011612), 0);
		_TranslateObject_006.addOutputs([new armory.logicnode.NullNode(this)]);
		var _TranslateObject_004 = new armory.logicnode.TranslateObjectNode(this);
		var _Gate_003 = new armory.logicnode.GateNode(this);
		_Gate_003.property0 = "Or";
		_Gate_003.property1 = 9.999999747378752e-05;
		var _OnUpdate_003 = new armory.logicnode.OnUpdateNode(this);
		_OnUpdate_003.addOutputs([_Gate_003]);
		_Gate_003.addInput(_OnUpdate_003, 0);
		var _KeyboardState_007 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_007.property0 = "Down";
		_KeyboardState_007.property1 = "d";
		_KeyboardState_007.addOutputs([_Gate_003]);
		_Gate_003.addInput(_KeyboardState_007, 0);
		var _KeyboardState_008 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_008.property0 = "Down";
		_KeyboardState_008.property1 = "right";
		_KeyboardState_008.addOutputs([_Gate_003]);
		_Gate_003.addInput(_KeyboardState_008, 0);
		_Gate_003.addOutputs([_TranslateObject_004]);
		_Gate_003.addOutputs([new armory.logicnode.NullNode(this)]);
		_TranslateObject_004.addInput(_Gate_003, 0);
		_TranslateObject_004.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_TranslateObject_004.addInput(new armory.logicnode.VectorNode(this, 0.10000000149011612, 0.0, 0.0), 0);
		_TranslateObject_004.addOutputs([new armory.logicnode.NullNode(this)]);
		var _TranslateObject_005 = new armory.logicnode.TranslateObjectNode(this);
		var _Gate_004 = new armory.logicnode.GateNode(this);
		_Gate_004.property0 = "Or";
		_Gate_004.property1 = 9.999999747378752e-05;
		var _OnUpdate_004 = new armory.logicnode.OnUpdateNode(this);
		_OnUpdate_004.addOutputs([_Gate_004]);
		_Gate_004.addInput(_OnUpdate_004, 0);
		var _KeyboardState_010 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_010.property0 = "Down";
		_KeyboardState_010.property1 = "a";
		_KeyboardState_010.addOutputs([_Gate_004]);
		_Gate_004.addInput(_KeyboardState_010, 0);
		var _KeyboardState_009 = new armory.logicnode.KeyboardNode(this);
		_KeyboardState_009.property0 = "Down";
		_KeyboardState_009.property1 = "left";
		_KeyboardState_009.addOutputs([_Gate_004]);
		_Gate_004.addInput(_KeyboardState_009, 0);
		_Gate_004.addOutputs([_TranslateObject_005]);
		_Gate_004.addOutputs([new armory.logicnode.NullNode(this)]);
		_TranslateObject_005.addInput(_Gate_004, 0);
		_TranslateObject_005.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_TranslateObject_005.addInput(new armory.logicnode.VectorNode(this, -0.10000000149011612, 0.0, 0.0), 0);
		_TranslateObject_005.addOutputs([new armory.logicnode.NullNode(this)]);
		var _PlaySpeaker = new armory.logicnode.PlaySoundNode(this);
		var _OnContact = new armory.logicnode.OnContactNode(this);
		_OnContact.property0 = "Begin";
		_OnContact.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_OnContact.addInput(new armory.logicnode.ObjectNode(this, "L1.Level"), 0);
		_OnContact.addOutputs([_PlaySpeaker]);
		_PlaySpeaker.addInput(_OnContact, 0);
		_PlaySpeaker.addInput(new armory.logicnode.ObjectNode(this, "L1.Player.Speaker"), 0);
		_PlaySpeaker.addOutputs([new armory.logicnode.NullNode(this)]);
	}
}
